package de.landsh.opendata.csw2dcat;

import java.util.Collection;

public class BridgeSettings {
    public Collection<String> keywordRemove;

    public boolean addMissingTemporalStart = false;
    public String authorization = null;

    /**
     * Add the search term "opendata" so each query.
     */
    boolean filterOpenData = false;
    String cswURL;
    String baseIRI = "http://registry.gdi-de.org/id/de.sh/";
    String contributorId = "https://www.gdi-sh.de";
    boolean distributedSearch = false;

    /**
     * List of item types (i.e. dataset, datasetCollection, series, application, tile, service) that should <b>not</b> be searched.
     */
    String[] typeExclude;

    /**
     * List of item types (i.e. dataset, datasetCollection, series, application, tile, service) that should be searched.
     * If not set all item types will be searched.
     */
    String[] typeInclude;

    boolean findWMSinInfo = false;

    boolean sortResults = true;

    /**
     * A  geo series might not have a download option (which is totally valid). If this option is set to <code>true</code>
     * these series will be ignored.
     */
    boolean ignoreSeriesWithoutDistribution = false;

}
